Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
a5d2c1b0
Commit
a5d2c1b0
authored
Jan 20, 2016
by
k8s-merge-robot
Browse files
Options
Browse Files
Download
Plain Diff
Merge pull request #18706 from eparis/upstream-godep
Auto commit by PR queue bot
parents
1c861d43
4034b5db
Hide whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
2 additions
and
14 deletions
+2
-14
verify-godeps.sh
hack/verify-godeps.sh
+2
-14
No files found.
hack/verify-godeps.sh
View file @
a5d2c1b0
...
@@ -18,9 +18,6 @@ set -o errexit
...
@@ -18,9 +18,6 @@ set -o errexit
set
-o
nounset
set
-o
nounset
set
-o
pipefail
set
-o
pipefail
# Lock this to a release that is known to work. We can bump this as needed.
GODEP_RELEASE
=
v45
#### HACK ####
#### HACK ####
# Sometimes godep just can't handle things. This lets use manually put
# Sometimes godep just can't handle things. This lets use manually put
# some deps in place first, so godep won't fall over.
# some deps in place first, so godep won't fall over.
...
@@ -56,24 +53,15 @@ function cleanup {
...
@@ -56,24 +53,15 @@ function cleanup {
}
}
trap
cleanup EXIT
trap
cleanup EXIT
export
GOPATH
=
"
${
_tmpdir
}
"
# build the godep tool
# build the godep tool
export
GOPATH
=
"
${
_tmpdir
}
"
go get
-u
github.com/tools/godep 2>/dev/null
go get
-u
github.com/tools/godep 2>/dev/null
pushd
"
${
_tmpdir
}
/src/github.com/tools/godep"
>
/dev/null
go
install
github.com/tools/godep 2>/dev/null
git checkout
"
${
GODEP_RELEASE
}
"
2>/dev/null
go
install
github.com/tools/godep 2>/dev/null
popd
>
/dev/null
GODEP
=
"
${
_tmpdir
}
/bin/godep"
GODEP
=
"
${
_tmpdir
}
/bin/godep"
# fill out that nice clean place with the kube godeps
# fill out that nice clean place with the kube godeps
echo
"Starting to download all kubernetes godeps. This takes a while"
echo
"Starting to download all kubernetes godeps. This takes a while"
# Remove once either godep works properly or we bump docker version
preload-dep github.com/docker docker 0f5c9d301b9b1cca66b3ea0f9dec3b5317d3686d
# Remove once either godep works properly or we bump camlistore deps
preload-dep github.com/camlistore camlistore 9868aa0f8d8a93ff0b30ff0de46cc351b6b88b30
"
${
GODEP
}
"
restore
"
${
GODEP
}
"
restore
echo
"Download finished"
echo
"Download finished"
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment